<div class="connexion-content">
  <form class="form" (ngSubmit)="submit()" >
    <span class="error" *ngIf="error"> <ul>
      <li>
        {{ error.message }}
      </li> </ul>
    </span>
    <div class="content-form">
      <mat-card>
        <mat-card-title> Connexion </mat-card-title>
        <mat-divider></mat-divider>
        <mat-card-content>
          <mat-form-field class="input-full-width" appearance="fill" >
            <mat-label>Entrer un username </mat-label>
            <input
              [(ngModel)]="form.username"
              name="username"
              type="text"
              matInput
              required
              #user
            />
          </mat-form-field>
          <mat-form-field class="input-full-width" appearance="fill">
            <mat-label>Entrer un mot de passe </mat-label>
            <input
              [(ngModel)]="form.password"
              name="password"
              type="password"
              matInput
              required
            />
          </mat-form-field>
          <mat-spinner class="mat-spinner" *ngIf="isLoading" ></mat-spinner>
        </mat-card-content>
        <mat-card-actions>
          <div class="content-button">
            <button mat-raised-button color="primary"  type="submit" [disabled]="isLoading">Se Connecter</button>
            <a mat-raised-button color="accent" type="submit" routerLink="/inscription">S'inscrire</a>
          </div>
        </mat-card-actions>
      </mat-card>
    </div>
  </form>
</div>


